local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFirePickup = ____shouldFire.shouldFirePickup
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostPickupRenderFilter = __TS__Class()
local PostPickupRenderFilter = ____exports.PostPickupRenderFilter
PostPickupRenderFilter.name = "PostPickupRenderFilter"
__TS__ClassExtends(PostPickupRenderFilter, CustomCallback)
function PostPickupRenderFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFirePickup
    self.postPickupRender = function(____, pickup, renderOffset)
        self:fire(pickup, renderOffset)
    end
    self.callbacksUsed = {{ModCallback.POST_PICKUP_RENDER, self.postPickupRender}}
end
return ____exports
